1 Reply Latest reply on Jun 27, 2008 1:37 PM by 666705

    Weblogic 8.1 to 9.2 using Weblogic-Application-Version

    666705
      Hi,

      We have an ear file with web service and ejb in it deployed in 8.1. We deployed it in 9.2 and works fine. We added Weblogic-Application-Version in manifest file to take advantage of application versioning feature of 9.2 but it failed to deployed. Our other application with annotated web service and compiled using jwsc and with Weblogic-Application-Version in manifest file works fine. Seems web service done in 8.1 cannot be ported in 9.2 with Weblogic-Application-Version in manifest file of 9.2. Please help on this. Below is the stack trace.


      weblogic.Deployer$DeployerException: weblogic.deploy.api.tools.deployer.DeployerException: Task 15 failed: [Deployer:149026]deploy application SampApp [Version=1.0] on AdminServer.
      Target state: deploy failed on Server AdminServer
      [HTTP:101355][weblogic.webservice.server.servlet.WebServiceServlet@184a207] Version 1.0 is specified for WebServices SampService, but versioning of WebServices is not supported.


           at weblogic.ant.taskdefs.management.WLDeploy.execute(WLDeploy.java:357)
           at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:275)
           at org.apache.tools.ant.Task.perform(Task.java:364)
           at org.apache.tools.ant.Target.execute(Target.java:341)
           at org.apache.tools.ant.Target.performTasks(Target.java:369)
           at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1216)
           at org.apache.tools.ant.Project.executeTarget(Project.java:1185)
           at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:40)
           at org.eclipse.ant.internal.ui.antsupport.EclipseDefaultExecutor.executeTargets(EclipseDefaultExecutor.java:32)
           at org.apache.tools.ant.Project.executeTargets(Project.java:1068)
           at org.eclipse.ant.internal.ui.antsupport.InternalAntRunner.run(InternalAntRunner.java:423)
           at org.eclipse.ant.internal.ui.antsupport.InternalAntRunner.main(InternalAntRunner.java:137)
      Caused by: weblogic.Deployer$DeployerException: weblogic.deploy.api.tools.deployer.DeployerException: Task 15 failed: [Deployer:149026]deploy application SampApp [Version=1.0] on AdminServer.
      Target state: deploy failed on Server AdminServer
        • 1. Re: Weblogic 8.1 to 9.2 using Weblogic-Application-Version
          666705
          I've got the exakt same problem using weblogic.Deployer .... -appversion, weblogic 10.0 in this case. Works fine with our new jaxws based webservices.

          Would be nice if this problem was solved, especially since weblogic10 resolves softlinks so our old method of linking to new versions doesn't work anymore. And the fact that "Changing the source location is not allowed for a previously attempted deployment" doesn't help either.